package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;

/**
 * @author WangYao
 * @date 2018/7/1 14:52
 * @description 模块功能数据模型
 */
public class ModuleDataModel {

    @FieldDescriber(descripton = "ID")
    private Long id;

    @FieldDescriber(descripton = "类型")
    private String objType;

    @FieldDescriber(descripton = "模块ID")
    private Long moduleId;

    @NotEmpty
    @FieldDescriber(descripton = "名称")
    private String objName;

    @FieldDescriber(descripton = "编码")
    private String objCode;

    @FieldDescriber(descripton = "URL")
    private String objUrl;

    @FieldDescriber(descripton = "创建人")
    private Long createdBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getObjType() {
        return objType;
    }

    public void setObjType(String objType) {
        this.objType = objType;
    }

    public Long getModuleId() {
        return moduleId;
    }

    public void setModuleId(Long moduleId) {
        this.moduleId = moduleId;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjUrl() {
        return objUrl;
    }

    public void setObjUrl(String objUrl) {
        this.objUrl = objUrl;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }
}
